## konversation 1.3.1

=== CMakeLists.txt ===
project(konversation)

#paranoid?
cmake_minimum_required(VERSION 2.6.2)

set(KDE_MIN_VERSION "4.3.0")
#atm this gets us FindQt4 and FindX11 (provided that the default cmake FindQt4 doesn't get used)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(KdepimLibs REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)
include(CMakeDependentOption)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
add_definitions (-DQT_STRICT_ITERATORS)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

#check for KDE greater than 4.3.80 (used for KStatusNotifier)
macro_ensure_version("4.3.80" ${KDE_VERSION} HAVEKDE4_4)

#check for KDE greater than 4.4.3 (usable version of KIdleTime)
macro_ensure_version("4.4.3" ${KDE_VERSION} HAVEKDE4_4_3)

if (HAVEKDE4_4_3)
    option(USE_KIDLETIME "Use KIdleTime for user inactivity detection." ON)
endif (HAVEKDE4_4_3)

if (HAVEKDE4_4_3 AND USE_KIDLETIME)
    macro_bool_to_01(USE_KIDLETIME HAVE_KIDLETIME)
    #only log the status of the feature if the user wants to build with KIdleTime support
    macro_log_feature(HAVE_KIDLETIME "KIdleTime" "KDE Idle Time" "http://www.kde.org/" FALSE "" "KIdleTime based user inactivity detection for the auto-away functionality")
endif (HAVEKDE4_4_3 AND USE_KIDLETIME)

#looks like the original test is from Kopete, their port doesn't use Xext so neither shall ours
if (Q_WS_X11 AND NOT HAVE_KIDLETIME)
    macro_bool_to_01(X11_Xscreensaver_FOUND HAVE_XSCREENSAVER)
    macro_log_feature(HAVE_XSCREENSAVER "libXss" "X ScreenSaver Library" "http://www.x.org/" FALSE "" "Screensaver detection support for the auto-away functionality")

    macro_bool_to_01(X11_FOUND HAVE_X11)
    macro_log_feature(HAVE_X11 "libx11" "X Window System Client Library" "http://www.x.org/" FALSE "" "User inactivity detection support for the auto-away functionality")

    macro_bool_to_01(X11_Xutil_FOUND HAVE_XUTIL)
    macro_log_feature(HAVE_XUTIL "X11 Xutil.h header" "X11 Xutil header" "http://www.x.org/" FALSE "" "User inactivity detection support for the auto-away functionality")
endif (Q_WS_X11 AND NOT HAVE_KIDLETIME)

macro_optional_find_package(QCA2)
macro_bool_to_01(QCA2_FOUND HAVE_QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Required for using encryption in IRC")

#define the value for HAVE_KSTATUSNOTIFIERITEM
macro_bool_to_01(HAVEKDE4_4 HAVE_KSTATUSNOTIFIERITEM)

check_include_file("stropts.h" HAVE_STROPTS_H)
check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("sys/endian.h" HAVE_SYS_ENDIAN_H)

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )

add_subdirectory(src)
add_subdirectory(data)

macro_display_feature_log()
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )
add_subdirectory( doc )

=== doc-translations/it_konversation/konversation/CMakeLists.txt ===
kde4_create_handbook( index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it/)

## konversation 1.2.3

=== debian/changelog ===
konversation (1.2.3-1ubuntu2) lucid; urgency=low

  * Rebuild to fix broken pot file (LP: #529483)

 -- Harald Sitter <apachelogger@ubuntu.com>  Tue, 02 Mar 2010 22:54:20 +0100

konversation (1.2.3-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu/default_channels.diff, disable debian/default_channel.diff
    - Keep message indicator patches
    - Use the Kubuntu docpath (/usr/share/doc/kde)
    - Build with LMZA compression

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 14 Feb 2010 18:12:21 -0500

konversation (1.2.3-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 10:58:50 +0200

konversation (1.2.3-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Feb 2010 08:15:45 -0500

konversation (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Remove DMUA field from debian/control. I'm a DD now.
  * Use my @debian.org address in the Maintainer field.

 -- Modestas Vainius <modax@debian.org>  Fri, 12 Feb 2010 03:05:35 +0200

konversation (1.2.2-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Re-enable installation of docs now that we have a stable tarball
    - Refresh 0001-Adds-support-for-Message-Indicator.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 11 Feb 2010 14:52:14 -0500

konversation (1.2.1+git20100204-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream git snapshot:
    - Refresh all patches
    Fixes LP: #496880
  * Switch to source format 3.0 (quilt):
    - Remove quilt build-depend
    - Remove quilt dh sequence in debian/rules
  * Add 0001-Adds-support-for-Message-Indicator.diff from Aurélien Gâteau
    which replaces the previous indicator patches (LP: #496880)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 04 Feb 2010 12:48:45 -0500

konversation (1.2.1+git20091217-0ubuntu1) lucid; urgency=low

  * New upstream git snapshot:
    - Refresh all patches
    - Update initial Indicator patch to apply properly.
    - Remove docs and locale files from the install manifest; they aren't
      present in git snapshots. We will uncomment them for official (pre)
      releases with tarballs from upstream.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Dec 2009 09:50:41 -0500

konversation (1.2.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu/default_channels.diff, disable debian/default_channel.diff
    - Keep message indicator patches
    - Use the Kubuntu docpath (/usr/share/doc/kde)
    - Do not use source format 3.0 (quilt) because Soyuz cannot cope with
      planned changes when given over year of advanced notice:
      + Add build-depend on quilt
      + Build with quilt dh addon
  * Update libindicate patches for new upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 14 Nov 2009 20:02:50 -0500

konversation (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Fix download URL in debian/watch. konversation moved to ftp.kde.org.
    Track upstream stable branch dir.
  * Switch to dpkg-source format 3.0 (quilt):
    - do not use quilt dh addon anymore;
    - do not build depend on quilt;
    - remove notes about quilt from README.source.

 -- Modestas Vainius <modestas@vainius.eu>  Thu, 12 Nov 2009 19:18:44 +0200

konversation (1.2-0ubuntu3) karmic; urgency=low

  * Change behavior of indicator app entry to switch to main window instead of
    toggling it

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Mon, 19 Oct 2009 09:57:31 +0200

konversation (1.2-0ubuntu2) karmic; urgency=low

  * Update message indicator patches from konversation-1.2~beta1-
    20090929.tar.bz2 from
    http://people.canonical.com/~agateau/indicate/index.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Oct 2009 12:05:54 +0100

konversation (1.2-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modestas@vainius.eu>  Fri, 09 Oct 2009 17:45:54 +0300

konversation (1.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 09 Oct 2009 08:38:28 -0400

konversation (1.2~rc1-0ubuntu1) karmic; urgency=low

  * New upstream release candidate
  * Bump Standards-Version to 3.8.3, since Debian has done so

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 03 Oct 2009 15:14:34 -0400

konversation (1.2~rc1-1) unstable; urgency=low

  * New upstream development release.

 -- Modestas Vainius <modestas@vainius.eu>  Sat, 03 Oct 2009 17:39:40 +0300

konversation (1.2~beta1-0ubuntu2) karmic; urgency=low

  * Disable 0004-Make-dependency-on-indicate-qt-optional.diff until it
    gets fixed, currently it stops message indicator from being used

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Sep 2009 13:39:28 +0100

konversation (1.2~beta1-1) unstable; urgency=low

  * New upstream development release.
  * Use kde addon in debian/rules. Adjust build dependencies accordingly.
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Refresh patches.
  * Build with -DCMAKE_USE_RELATIVE_PATHS=ON.

 -- Modestas Vainius <modestas@vainius.eu>  Mon, 21 Sep 2009 18:08:56 +0300

konversation (1.2~beta1-0ubuntu1) karmic; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 21 Sep 2009 14:50:01 +0100

konversation (1.2~alpha6-0ubuntu4) karmic; urgency=low

  * Update message indicator patches for libindicate 0.2
    from http://people.canonical.com/~agateau/indicate/index.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Sep 2009 12:13:47 +0100

konversation (1.2~alpha6-0ubuntu3) karmic; urgency=low

  * Add 0004-Make-dependency-on-indicate-qt-optional.diff from Aurelien
    Gateau

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 10:29:40 +0100

konversation (1.2~alpha6-0ubuntu2) karmic; urgency=low

  * Add quilt back to debian/rules



=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modestas@vainius.eu>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4.4.3), kdelibs5-dev (>= 4:4.2.0), kdepimlibs5-dev (>= 4:4.2.0),
 libx11-dev, x11proto-core-dev, libxss-dev, libqca2-dev, libindicate-qt-dev (>= 0.2.1)
Standards-Version: 3.8.3
Homepage: http://konversation.kde.org/
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: irc
Recommends: python
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konversation (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for konversation
 This package contains the debugging symbols associated with konversation.
 They will automatically be used by gdb for debugging konversation-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

ifneq (,$(shell which tg))
QUILT_PATCH_DIR := debian/patches
TG_BRANCHES := $(filter-out debian/aboutdata_add_debian_version,$(shell tg summary -t))
include /usr/share/topgit/tg2quilt.mk
endif

DEB_DH_BUILDDEB_ARGS := -- -Zlzma

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

%:
	dh --with kde --dbg-package=konversation-dbg $@

## konversation 1.3.1

=== debian/changelog ===
konversation (1.3.1-2+deb6u1) squeeze-lts; urgency=high

  * Non-maintainer upload by the Squeeze LTS Team. 
  * Backport fix for CVE-2014-8483 in cve-2014-8483.patch
    See https://security-tracker.debian.org/tracker/CVE-2014-8483
    (Closes: #768191)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 07 Mar 2015 19:03:02 +0100

konversation (1.3.1-2) unstable; urgency=low

  * Backport 0001-Work-around-bug-217592-the-infamous-cursor-disappear.patch
    from upstream in order to fix a very annoying "disappearing cursor" bug.
    It happens rather rarely but when it does, konversation becomes nearly
    unusable. The only way out is restart of the application.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:06:37 +0300

konversation (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Bump Standars-Version to 3.9.0:
    - add "Breaks: konversation (<< 1.3~beta1-2)" to konversation-data as per
      policy recommendation.
  * Support parallel builds: pass --parallel to dh.

 -- Modestas Vainius <modax@debian.org>  Fri, 02 Jul 2010 02:54:22 +0300

konversation (1.3-1) unstable; urgency=low

  * New upstream release.
  * Drop backport_aa233e3_close_buttons_fix.diff patch, stolen from upstream.

 -- Modestas Vainius <modax@debian.org>  Tue, 08 Jun 2010 01:35:32 +0300

konversation (1.3~beta1-2) unstable; urgency=low

  * Improve konversation-dbg description a bit.
  * Split off data files to a new konversation-data package:
    - make konversation Depend on konversation-data;
    - add previous konversation to konversation-data Replaces;
    - move python Recommends to konversation-data;
    - move ${perl:Depends} from konversation Depends to konversation-data.
  * Use /usr/share/doc/kde* wildcard in konversation-data.install.
  * Update debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Sun, 23 May 2010 22:07:01 +0300

konversation (1.3~beta1-1) unstable; urgency=low

  * New upstream development release.
  * Rename patches:
    - debian/dbug_autoreplace.diff -> debian_dbug_autoreplace.diff;
    - debian/debian_channel.diff -> debian_channel.diff.
  * Drop topgit support:
    - remove snippet from debian/rules;
    - rewrite debian/README.source.
  * Backport commit 1.3-beta1-2-gaa233e3 from upstream repository to
    fix close buttons on tabs (patch backport_aa233e3_close_buttons_fix.diff).

 -- Modestas Vainius <modax@debian.org>  Sun, 23 May 2010 00:24:10 +0300

konversation (1.3~~git221~g2a0818f-1) experimental; urgency=low

  * New upstream development snapshot:
    - Application code: v1.2.3-221-g2a0818f;
    - Translations: Sun, 09 May 2010 20:30:04 +0300;
    - doc/ and doc-translations/ taken from 1.2.3;
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Build with KDE Idle Time support:
    - bump KDE build dependencies to 4.4.3;
    - drop libxss-dev, libx11-dev and x11proto-core-dev from Build-Depends;
  * Add ${perl:Depends} to konversation Depends.

 -- Modestas Vainius <modax@debian.org>  Mon, 10 May 2010 01:18:39 +0300

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
 libqt4-dev (>= 4.5), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
 libqca2-dev
Standards-Version: 3.9.0
Homepage: http://konversation.kde.org/
Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/konversation.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/konversation.git;a=summary

Package: konversation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, konversation-data (= ${source:Version})
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Recommends: konversation (>= ${source:Version}), python
Replaces: konversation (<< 1.3~beta1-2)
Breaks: konversation (<< 1.3~beta1-2)
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

Package: konversation-dbg
Section: debug
Architecture: any
Priority: extra
Depends: konversation (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Description: debugging symbols for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains the debugging symbols associated with konversation. They
 will automatically be used by gdb for debugging konversation-related issues.

=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_install:
	dh_install
	# Install scripts README (and rename)
	if [ -d debian/konversation ]; then \
	    cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts; \
	fi

%:
	dh --with kde --parallel --dbg-package=konversation-dbg $@

## konversation 1.4~beta1

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( ca@valencia )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( el )
add_subdirectory( en_GB )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ru )
add_subdirectory( sr )
add_subdirectory( sr@ijekavian )
add_subdirectory( sr@ijekavianlatin )
add_subdirectory( sr@latin )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== debian/changelog ===
konversation (1.4~beta1-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 06 Nov 2011 10:17:01 +0200

konversation (1.3.1+git457.g8b28316-1) unstable; urgency=low

  * New upstream git snapshot (v1.3.1-457-g8b28316).
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Re-enable translations.

 -- Modestas Vainius <modax@debian.org>  Sat, 30 Jul 2011 21:35:56 +0300

konversation (1.3.1+git264+g6dfad44-1) experimental; urgency=low

  * New upstream development snapshot:
    - Commit: 6dfad44d792aa0a42298bcd0113f63212c586340;
    - Date:   Sat Dec 4 16:07:46 2010 +0100.
  * Drop 0001-Work-around-bug-217592-the-infamous-cursor-disappear.patch,
    it was stolen from upstream.
  * Rebuild against Qt 4.7, bump Build-Depends.
  * Update install files.

 -- Modestas Vainius <modax@debian.org>  Sun, 12 Dec 2010 12:07:09 +0200

## konversation 1.4

=== CMakeLists.txt ===
project(konversation)

#paranoid?
cmake_minimum_required(VERSION 2.6.2)

set(KDE_MIN_VERSION "4.4.3")
#atm this gets us FindQt4 and FindX11 (provided that the default cmake FindQt4 doesn't get used)
find_package(KDE4 ${KDE_MIN_VERSION} REQUIRED)
find_package(KdepimLibs REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(CheckIncludeFile)
include(CMakeDependentOption)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

string(TOLOWER ${CMAKE_BUILD_TYPE} CMAKE_BUILD_TYPE_TOLOWER)
    if(CMAKE_BUILD_TYPE_TOLOWER MATCHES debugfull)
    add_definitions (-DQT_STRICT_ITERATORS)
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES})

macro_optional_find_package(QCA2)
macro_bool_to_01(QCA2_FOUND HAVE_QCA2)
macro_log_feature(QCA2_FOUND "QCA" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Required for using encryption in IRC")

check_include_file("stropts.h" HAVE_STROPTS_H)
check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("sys/endian.h" HAVE_SYS_ENDIAN_H)

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

get_filename_component(_po_path po ABSOLUTE)
get_filename_component(_doc_translations_path doc-translations ABSOLUTE)

if (EXISTS ${_po_path}/CMakeLists.txt OR EXISTS ${_doc_translations_path}/CMakeLists.txt)
    find_package(Msgfmt REQUIRED)
    find_package(Gettext REQUIRED)
endif()

if (EXISTS ${_po_path}/CMakeLists.txt)
    add_subdirectory(po)
endif()

if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
    add_subdirectory(doc-translations)
endif()

macro_display_feature_log()

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_konversation/konversation )
add_subdirectory( et_konversation/konversation )
add_subdirectory( nl_konversation/konversation )
add_subdirectory( pt_BR_konversation/konversation )
add_subdirectory( sv_konversation/konversation )
add_subdirectory( uk_konversation/konversation )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 add_subdirectory( pt )
 add_subdirectory( pt_BR )
 add_subdirectory( ru )
+add_subdirectory( si )
 add_subdirectory( sr )
 add_subdirectory( sr@ijekavian )
 add_subdirectory( sr@ijekavianlatin )

=== src/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
include_directories(config dcc irc viewer linkaddressbook upnp)

if (QCA2_FOUND)
    include_directories(${QCA2_INCLUDE_DIR})
endif (QCA2_FOUND)

set(core_SRCS
    #====================================
    #=== Application
    config/preferences.cpp
    application.cpp
    dbus.cpp
    mainwindow.cpp
    main.cpp
    common.cpp
    sound.cpp
    ssllabel.cpp
    statusbar.cpp
    bookmarkhandler.cpp
    scriptlauncher.cpp
    konsolepanel.cpp
    notificationhandler.cpp
    awaymanager.cpp
    connectionmanager.cpp
    connectionsettings.cpp
    identity.cpp
    identitydialog.cpp

    #=== GUI
    urlcatcher.cpp
    queuetuner.cpp
    quickconnectdialog.cpp
)

set (irc_SRCS
    #== IRC
    irc/server.cpp

    irc/query.cpp
    irc/channel.cpp
    irc/channellistpanel.cpp
    irc/channeloptionsdialog.cpp
    irc/channelnick.cpp
    irc/modebutton.cpp
    irc/joinchanneldialog.cpp
    irc/invitedialog.cpp

    irc/irccharsets.cpp

    irc/nick.cpp
    irc/nickinfo.cpp
    irc/nicklistview.cpp
    irc/nicksonline.cpp
    irc/nicksonlineitem.cpp

    #=== Server
    irc/inputfilter.cpp
    irc/outputfilter.cpp
    irc/outputfilterresolvejob.cpp
    irc/ircqueue.cpp
    irc/servergroupdialog.cpp
    irc/servergroupsettings.cpp
    irc/serverison.cpp
    irc/serverlistdialog.cpp
    irc/serverlistview.cpp
    irc/serversettings.cpp
)

kde4_add_ui_files(irc_SRCS
    irc/channellistpanelui.ui
    irc/channeldialogui.ui
    irc/channeloptionsui.ui
    irc/joinchannelui.ui
    irc/serverdialogui.ui
    irc/servergroupdialogui.ui
    irc/serverlistdialogui.ui
    irc/invitedialog.ui
)

    #=== Configuration dialog pages
set(config_SRCS
    config/configdialog.cpp
    config/settingsdialog.cpp
    config/alias_config.cpp
    config/autoreplace_config.cpp
    config/dcc_config.cpp
    config/highlight_config.cpp
    config/ignore_config.cpp
    config/nicklistbehavior_config.cpp
    config/osd_config.cpp
    config/tabs_config.cpp
    config/theme_config.cpp
    config/quickbuttons_config.cpp
    config/warnings_config.cpp
    config/connectionbehavior_config.cpp
)

kde4_add_ui_files(config_SRCS
    config/alias_configui.ui
    config/autoreplace_configui.ui
    config/chatwindowappearance_config.ui
    config/chatwindowbehaviour_config.ui
    config/colorsappearance_config.ui
    config/connectionbehavior_config.ui
    config/dcc_configui.ui
    config/fontappearance_config.ui
    config/generalbehavior_configui.ui
    config/highlight_configui.ui
    config/ignore_configui.ui
    config/log_config.ui
    config/nicklistbehavior_configui.ui
    config/osd_configui.ui
    config/quickbuttons_configui.ui
    config/tabnotifications_config.ui
    config/tabs_configui.ui
    config/theme_configui.ui
    config/warnings_configui.ui
    config/watchednicknames_configui.ui
)

    #=== Viewer
set(viewer_SRCS
    viewer/ircinput.cpp
    viewer/ircview.cpp
    viewer/chatwindow.cpp
    viewer/rawlog.cpp
    viewer/statuspanel.cpp
    viewer/ircviewbox.cpp
    viewer/viewcontainer.cpp
    viewer/viewtree.cpp
    viewer/viewtreeitem.cpp
    viewer/pasteeditor.cpp
    viewer/highlight.cpp
    viewer/highlightviewitem.cpp
    viewer/ignore.cpp
    viewer/ignorelistviewitem.cpp
    viewer/irccolorchooser.cpp
    viewer/logfilereader.cpp
    viewer/insertchardialog.cpp
    viewer/osd.cpp
    viewer/topiclabel.cpp
    viewer/awaylabel.cpp
    viewer/editnotifydialog.cpp
    viewer/emoticons.cpp
    viewer/images.cpp
    viewer/quickbutton.cpp
    viewer/searchbar.cpp
    viewer/irccontextmenus.cpp
    viewer/trayicon.cpp
)

kde4_add_ui_files(viewer_SRCS
    viewer/irccolorchooserui.ui
    viewer/pasteeditor.ui
)

    #=== DCC
set(dcc_SRCS
    dcc/chat.cpp
    dcc/chatcontainer.cpp
    dcc/dcccommon.cpp
    dcc/dccfiledialog.cpp
    dcc/recipientdialog.cpp
    dcc/resumedialog.cpp
    dcc/transfer.cpp
    dcc/transferdetailedinfopanel.cpp
    dcc/transfermanager.cpp
    dcc/transferpanel.cpp
    dcc/transferrecv.cpp
    dcc/transfersend.cpp
    dcc/transferlistmodel.cpp
    dcc/transferview.cpp
    dcc/whiteboard.cpp
    dcc/whiteboardcolorchooser.cpp
    dcc/whiteboardfontchooser.cpp
    dcc/whiteboardglobals.cpp
    dcc/whiteboardpaintarea.cpp
    dcc/whiteboardtoolbar.cpp
)

kde4_add_ui_files(dcc_SRCS
    dcc/transferdetailedinfopanelui.ui
    dcc/transferdetailedtimeinfopanelui.ui
    dcc/whiteboardtoolbarui.ui
    dcc/whiteboardfontchooserui.ui
)

set(linkaddressbook_SRCS
    linkaddressbook/linkaddressbookui.cpp
    linkaddressbook/addressbook_base.cpp
    linkaddressbook/addressbook.cpp
    linkaddressbook/addresseeitem.cpp
)

kde4_add_ui_files(linkaddressbook_SRCS
    linkaddressbook/linkaddressbookui_base.ui
)
if (QCA2_FOUND)
    set(cipher_SRCS
        cipher.cpp)
endif (QCA2_FOUND)

set(upnp_SRCS
    upnp/soap.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
)

set (completed_SRCS ${core_SRCS} ${irc_SRCS} ${viewer_SRCS} ${config_SRCS} ${dcc_SRCS} ${linkaddressbook_SRCS} ${cipher_SRCS} ${upnp_SRCS})
set (konversation_SRCS ${completed_SRCS})

kde4_add_ui_files(konversation_SRCS
    identitydialog.ui
    queuetunerbase.ui
    viewer/searchbarbase.ui
)

kde4_add_kcfg_files(konversation_SRCS config/preferences_base.kcfgc)

kde4_add_app_icon(konversation_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/hi*-app-konversation.png")

kde4_add_executable(konversation ${konversation_SRCS})

target_link_libraries(konversation ${KDE4_KIO_LIBS} ${KDE4_KPARTS_LIBS}
                                   ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KABC_LIBS}
                                   ${KDE4_KNOTIFYCONFIG_LIBRARY} ${PHONON_LIBRARY} ${KDE4_SOLID_LIBS})


macro_ensure_version("4.5.0" ${KDE_VERSION} HAVEKDE4_5)

if (HAVEKDE4_5)
    target_link_libraries(konversation ${KDE4_KIDLETIME_LIBS} ${KDE4_KEMOTICONS_LIBS})
else (HAVEKDE4_5)
    target_link_libraries(konversation ${KDE4_KUTILS_LIBS})
endif (HAVEKDE4_5)

if (QCA2_FOUND)
    target_link_libraries(konversation ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

install(TARGETS konversation ${INSTALL_TARGETS_DEFAULT_ARGS})

=== data/scripting_support/CMakeLists.txt ===
add_subdirectory(python)

=== debian/changelog ===
konversation (1.4-1ubuntu2.1) precise-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read on a heap-allocated array LP: #1389296
    - Add kubuntu_02_cve-2014-8483.diff to verify read bounds
    - CVE-2014-8483
    - https://www.kde.org/info/security/advisory-20140923-1.txt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Nov 2014 17:38:21 +0100

konversation (1.4-1ubuntu2) precise; urgency=low

  * Add build-dependency on pkg-config so that libindicate-qt can be found

 -- Aurélien Gâteau <aurelien.gateau@ubuntu.com>  Mon, 12 Dec 2011 16:15:17 +0100

konversation (1.4-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - Don't use debian_channel.diff
   - Add kubuntu_01_default_channels.diff
   - Add message-indicator/0001-Adds-support-for-Message-Indicator.diff
   - Build-dep on libindicate-qt-dev (>= 0.2.5.91)
   - In debian/rules export translation domain

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 10 Dec 2011 20:02:29 +0000

konversation (1.4-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Dec 2011 18:06:44 +0200

konversation (1.3.1-2ubuntu7) precise; urgency=low

  * Add kubuntu_02_marker_line_crash_workaround.diff from upstream
   to fix crashes on refresh, LP: #888825

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Nov 2011 00:14:52 +0000

konversation (1.3.1-2ubuntu6) oneiric; urgency=low

  * No-change rebuild to stop desktop file stripping (LP: #851953)

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 16 Sep 2011 18:02:51 +0200

konversation (1.3.1-2ubuntu5) natty; urgency=low

  * Rebuild with libindicate-qt 0.2.5.91-0ubuntu2 to fix dependency

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 09 Feb 2011 13:38:13 +0000

konversation (1.3.1-2ubuntu4) natty; urgency=low

  * Build against libindicate-qt 0.2.5.91 for soname transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Feb 2011 18:00:26 +0000

konversation (1.3.1-2ubuntu3) natty; urgency=low

  * Remove debian-changes-1.3.1-2ubuntu2, which accidentally reverts the
    message-indicator patches (LP: #676303)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Nov 2010 08:50:55 -0500

konversation (1.3.1-2ubuntu2) natty; urgency=low

  * Remove debian-changes-1.3.1-2ubuntu1 which reverted the other
    patches. (LP: #676303)

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 20 Nov 2010 02:42:17 +0100

konversation (1.3.1-2ubuntu1) natty; urgency=low

  * Merge with Debian, remaining changes:
   - Don't use debian_channel.diff
   - Add kubuntu_01_default_channels.diff
   - Add message-indicator/0001-Adds-support-for-Message-Indicator.diff
   - Build-dep on libindicate-qt-dev (>= 0.2.1)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Nov 2010 13:32:22 +0000

konversation (1.3.1-1ubuntu4) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a-0ubuntu2 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 22 Oct 2010 07:08:50 +0200

konversation (1.3.1-1ubuntu3) maverick; urgency=low

  * Remove debian-changes-1.3.1-1ubuntu2 which reverted the other
    patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Aug 2010 10:48:48 +0100

konversation (1.3.1-1ubuntu2) maverick; urgency=low

  * Add back correct debian/patches/series file, adds back in
    kubuntu_01_default_channels.diff message-indicator/0001-Adds-
    support-for-Message-Indicator.diff LP: #616422
  * Remove obsolete debian/patches/kubuntu/ directory

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 11 Aug 2010 17:53:27 +0100

konversation (1.3.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes: (LP: #614610)
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches
    - Build-Depends on libindicator-dev
    - Add export KUBUNTU_DESKTOP_POT=extragear-network_konversation
    - Keep VCS Bazaar fields

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 07 Aug 2010 00:55:26 +0200

konversation (1.3.1-0ubuntu2) maverick; urgency=low

  * Add export KUBUNTU_DESKTOP_POT=extragear-network_konversation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Jul 2010 17:00:46 +0100

konversation (1.3.1-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches, libindicator-dev build-dep

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 01 Jul 2010 11:24:31 -0400

konversation (1.3-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Drop backport_aa233e3_close_buttons_fix.diff, merged upstream

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 16:24:06 -0400

konversation (1.3~beta1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - Add kubuntu_01_default_channels.diff, disable debian_channel.diff
    - Keep message indicator patches, libindicator-dev build-dep
    - Use the Kubuntu docpath (/usr/share/doc/kde)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 24 May 2010 11:33:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: konversation
 Section: net
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
- libqt4-dev (>= 4.5), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
- libqca2-dev
-Standards-Version: 3.9.0
+ libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
+ libqca2-dev, libindicate-qt-dev (>= 0.2.5.91), pkg-config
+Standards-Version: 3.9.2
 Homepage: http://konversation.kde.org/
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/konversation.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/konversation.git;a=summary
+Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konversation
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/konversation/ubuntu
+XS-Debian-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/konversation.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/konversation.git;a=summary
 
 Package: konversation
 Architecture: any

## konversation 1.5~rc1+git20130415

=== doc/CMakeLists.txt ===
add_subdirectory(et)
add_subdirectory(it)
add_subdirectory(es)
add_subdirectory(pt_BR)
add_subdirectory(en_US)
add_subdirectory(nl)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(de)
add_subdirectory(sv)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(pl)
add_subdirectory(da)
add_subdirectory(sk)
add_subdirectory(hu)
add_subdirectory(bg)
add_subdirectory(tr)
add_subdirectory(ca)
add_subdirectory(et)
add_subdirectory(sl)
add_subdirectory(si)
add_subdirectory(nb)
add_subdirectory(it)
add_subdirectory(ca@valencia)
add_subdirectory(kk)
add_subdirectory(es)
add_subdirectory(gl)
add_subdirectory(nds)
add_subdirectory(he)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(fi)
add_subdirectory(km)
add_subdirectory(ru)
add_subdirectory(pt)
add_subdirectory(en_GB)
add_subdirectory(el)
add_subdirectory(nl)
add_subdirectory(zh_TW)
add_subdirectory(zh_CN)
add_subdirectory(sr)
add_subdirectory(cs)
add_subdirectory(uk)
add_subdirectory(lt)
add_subdirectory(pa)
add_subdirectory(fr)
add_subdirectory(sr@latin)
add_subdirectory(de)
add_subdirectory(sv)
add_subdirectory(sr@ijekavian)

=== debian/changelog ===
konversation (1.5~rc1+git20130415-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since last snapshot 

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 15 Apr 2013 08:56:44 +0200

konversation (1.5~rc1+git20130408-0ubuntu2) raring; urgency=low

  * Add 0001-Purge-nicks-also-if-we-re-told-to-rejoin-without-eve.patch from
    upstream.
    Fixes nick list lost when connected to a ZNC bouncer.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 09:13:55 +0200

konversation (1.5~rc1+git20130408-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since last snapshot

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 08 Apr 2013 19:41:33 +0200

konversation (1.5~rc1+git20130331-0ubuntu1) raring; urgency=low

  * New git snapshot (LP: #1156019)
    + Contains new fixes and translation updates since rc1

 -- Harald Sitter <apachelogger@kubuntu.org>  Sun, 31 Mar 2013 11:08:38 +0200

konversation (1.5~rc1-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1156019)
    + Contains new fix and translation updates

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 18 Mar 2013 11:31:13 +0100

konversation (1.4+git20130314-0ubuntu1) raring; urgency=low

  * New upstream git snapshot from 1.5 branch (LP: #1156019)
  * Drop message indicator patch rubbish, unmaintained, not upstream etc.etc.
    + Don't builddep on libindicate-qt-dev and pkg-config

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 14 Mar 2013 13:54:05 +0100

konversation (1.4-1ubuntu4) raring; urgency=low

  * In 0001-Adds-support-for-Message-Indicator.diff
    Mark designer form title as not for translation.

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 13 Mar 2013 11:46:55 +0100

konversation (1.4-1ubuntu3) quantal; urgency=low

  * No change rebuild to build without stripping translation .po files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 07 Oct 2012 22:47:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: debhelper (>= 7.3.16), cmake (>= 2.6.2), pkg-kde-tools (>= 0.5),
  libqt4-dev (>= 4:4.7), kdelibs5-dev (>= 4:4.4.3), kdepimlibs5-dev (>= 4:4.4.3),
- libqca2-dev, libindicate-qt-dev (>= 0.2.5.91), pkg-config
+ libqca2-dev
 Standards-Version: 3.9.2
 Homepage: http://konversation.kde.org/
 Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/konversation
